IF NOT EXISTS(SELECT * FROM sys.indexes WHERE name='NB_Likes' AND object_id = OBJECT_ID('Like'))
BEGIN	
	CREATE NONCLUSTERED INDEX [NB_Likes]
ON [dbo].[Like] ([TargetType])
INCLUDE ([PrincipalID],[TargetID])
END;